local revision = tonumber(string.sub("$Revision: 85 $", 12, -3))
local rss = _G.RShamanStat
if rss.revision < revision then rss.revision = revision end

-- All tooltips must define at least two strings (the first of which is the title)

-- Haste tooltips
rss.TT_HASTEINC_BRK = {
"Haste Rating (Breakpoint)",
"Haste Rating per 1% throughput change by reaching indicated breakpoint",
"The Haste Rating required to reach the breakpoint is divided by the expected percentage throughput change (vs. current stats) at the breakpoint.",
"If you can reach a breakpoint, this is the value that should be compared with corresponding values for other stats.",
"The expected throughput increase for reaching a breakpoint includes both additional HoT/totem ticks and the ability to cast more spells in a given amount of time.",
"Racial, talent and raid buffs to Haste are included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested) by reaching the breakpoint.",
"For each nearby breakpoint, the table below shows the Haste difference from the previous breakpoint, divided by the expected percentage throughput gain from the previous breakpoint.", 
};

rss.TT_HASTEINC_BRKMULTI = {
"Haste Rating (Breakpoint)",
"Haste Rating per 1% throughput change by reaching nearby breakpoints",
"The Haste Rating required to reach each breakpoint from the one below is divided by the expected percentage throughput change from the previous breakpoint.",
"The expected throughput increase for reaching a breakpoint includes both additional HoT/totem ticks and the ability to cast more spells in a given amount of time.",
"Racial, talent and raid buffs to Haste are included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested) by reaching the breakpoint.",
"Because your summary includes data at multiple Haste values, we can't show a single value for reaching a breakpoint from your recorded Haste level.",
"For each nearby breakpoint, the table below shows the Haste difference from the previous breakpoint, divided by the expected percentage throughput gain from the previous breakpoint.", 
};

rss.TT_HASTEINC_NOBRK = {
"Haste Rating (No Breakpoint)",
"Haste Rating per 1% throughput change between Haste breakpoints",
"Haste Rating required for a 1% change in throughput (vs. current stats) without crossing a breakpoint.",
"Unless you can reach a breakpoint, this is the value that should be compared with corresponding values for other stats.",
"The expected throughput change is based solely on the ability to cast more spells in a given amount of time, with no additional HoT/totem ticks.",
"Racial, talent and raid buffs to Haste are included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested) between breakpoints.",
};

-- Mastery tooltips

rss.TT_MASTERYINC = {
"Mastery Rating",
"Mastery Rating per 1% throughput change",
"Mastery Rating required for a 1% change in throughput (vs. current stats).",
"The passive Shaman buff to Mastery Rating (Grace of Air) is included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested).",
};

rss.TT_MASTERYFRACT = {
"Mastery Throughput %",
"Percentage of effective healing attributable to Mastery",
"The fraction of your effective healing due to Mastery, determined by comparing the actual effect of each heal to the result if your Mastery were 0%.",
"The value indicates how important Mastery is to your overall healing throughput.",
};

rss.TT_MASTERYHEALTH = {
"Mastery Target Health %",
"Weighted average target health level.",
"The average health fraction of targets you healed, weighted by the effective healing done.",
"Smaller values indicate that your heals will benefit more from your Mastery bonus.",
};

-- Critical Rating tooltips

rss.TT_CRITICALINC = {
"Critical Rating",
"Critical Rating per 1% throughput change",
"Critical Rating required for a 1% change in throughput (vs. current stats).",
"Ancestral Awakening (with or without the Tier 15 set bonus, as appropriate), critical-enhancing metagems, and raid buffs to Critical Chance are included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested).",
};

rss.TT_CRITICALFRACT = {
"Critical Throughput %",
"Percentage of effective healing attributable to Critical Chance",
"The fraction of your effective healing due to Critical Chance, determined by comparing the actual effect of each heal to the result if your Critical Chance were 0%.",
"The value indicates how important Critical Chance is to your overall healing throughput.",
};

-- Spellpower tooltip

rss.TT_SPELLPOWERINC = {
"Spellpower",
"Spellpower per 1% throughput change",
"Spellpower required for a 1% change in throughput (vs. current stats).",
"The passive Shaman spellpower buff (Burning Wrath) is included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested).",
};

-- Intellect tooltip

rss.TT_INTELLECTINC = {
"Intellect",
"Intellect per 1% throughput change",
"Intellect required for a 1% change in throughput (vs. current stats).",
"The expected throughput change includes both the Spellpower and Critical Chance gained from Intellect.",
"Raid buffs to Intellect are included.",
"Smaller values correspond to a more significant change in throughput (per stat point invested).",
};

-- Regen

rss.TT_SPIRITREGEN = {
"Spirit Regen",
"Spirit per 1% passive regen change",
"Spirit required for a 1% change in passive mana regeneration (vs. current stats).",
"The effects of Mana Tide Totem and other regen buffs are not (yet) included.",
"Smaller values correspond to a more significant change in regeneration (per stat point invested).",
};

rss.TT_CRITREGEN = {
"Resurgence Regen",
"Critical Rating per 1% passive regen change",
"Critical Rating required to increase Resurgence effects by 1% of your passive mana regeneration.",
"The effects of Mana Tide Totem and other regen buffs are not (yet) included.",
"Smaller values correspond to a more significant change in Resurgence regeneration (per stat point invested).",
};

rss.TT_GOWSREGEN = {
"Glyph of Water Shield",
"Change in expected mana regeneration from Glyph of Water Shield",
"Difference between mana gained from enhanced Water Shield procs and mana lost due to lower passive regeneration, with the Glyph of Water Shield equipped.",
"This value does not depend on whether or not you actually have the glyph equipped.",
"Positive values correspond to a net increase in mana regeneration from Glyph of Water Shield.",
};
